#include <bits/stdc++.h>
#define ll long long
using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    int n,k,x;
    cin >> n >> k >> x;
    int a[n];
    for(int i=0;i<n;i++)
    {
        a[i]=i+1;
    }
    /*cout << "-----" << endl;
    for(int i=0;i<n;i++)
    {
        cout << a[i] << " ";
    }
    cout << endl;*/
    int temp = k;
    int kont=1,faz=2;
    while(k--)
    {
        //cout << "Dizem: " << a[kont] << endl;
        a[kont]+=x;
        //cout << "Na: " << a[kont] << endl;
        if(kont == n-1)
        {
            /*cout << "Stigao sam do kraja" << endl;\
            cout << "-----" << endl;
            for(int i=0;i<n;i++)
            {
                cout << a[i] << " ";
            }
            cout << endl;*/
            kont = faz;
            faz++;
            continue;
        }
        kont++;
    }
    for(int i=0;i<n;i++)
    {
        cout << a[i] << " ";
    }
}